Create revenue record
curl --request POST \
--url https://ai.wisepilot.app/api/v1/finance/revenue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_name": "<string>",
"amount_cents": 123,
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"status": "active",
"next_invoice_date": "2023-12-25",
"renewal_date": "2023-12-25",
"payment_terms": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://ai.wisepilot.app/api/v1/finance/revenue"
payload = {
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_name": "<string>",
"amount_cents": 123,
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"status": "active",
"next_invoice_date": "2023-12-25",
"renewal_date": "2023-12-25",
"payment_terms": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
client_name: '<string>',
amount_cents: 123,
website_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
currency: 'USD',
status: 'active',
next_invoice_date: '2023-12-25',
renewal_date: '2023-12-25',
payment_terms: '<string>',
started_at: '2023-11-07T05:31:56Z',
notes: '<string>',
product_line_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://ai.wisepilot.app/api/v1/finance/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_name": "<string>",
"type": "recurring",
"amount_cents": 123,
"currency": "USD",
"billing_frequency": "monthly",
"next_invoice_date": "2023-12-25",
"last_invoiced_at": "2023-11-07T05:31:56Z",
"status": "active",
"renewal_date": "2023-12-25",
"payment_terms": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Finance
Create revenue record
Create a new revenue record for a business entity.
POST
/
finance
/
revenue
Create revenue record
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Body
application/json
Available options:
recurring, project, one_time Available options:
monthly, quarterly, semi_annual, annual Available options:
active, paused, churned, completed ⌘I